#!/bin/sh
set -e
SETUP_DIR=./
[ ! -d .Setup ] || SETUP_DIR=.Setup/
SETUP_DIR=$(cd "$SETUP_DIR" ; echo $PWD)
DYLD_LIBRARY_PATH=${SETUP_DIR}/Import:$DYLD_LIBRARY_PATH
LD_LIBRARY_PATH=${SETUP_DIR}/Import:$LD_LIBRARY_PATH
PATH=$SETUP_DIR/Python/bin:$PATH
PYTHONPATH=$SETUP_DIR/ImportLinux:$SETUP_DIR/Import:$PYTHONPATH
export DYLD_LIBRARY_PATH
export LD_LIBRARY_PATH
export PATH
export PYTHONPATH
export TEXTDOMAIN="tb_setup"
export TEXTDOMAINDIR="${SETUP_DIR}/po"
tr () {
    command gettext tb_setup "$@" 2>/dev/null || echo "$@"
}

PYTHONHOME=$SETUP_DIR/Python/lib/python3.8
PYTHONPATH=$PYTHONPATH:$PYTHONHOME
export PYTHONHOME
Python/bin/python3.8 "$SETUP_DIR/ImportLinux/pEp_import_better.py" "$SETUP_DIR" "$@"
exit $?
