# -*- coding: utf-8 -*-

from __future__ import print_function, unicode_literals, absolute_import

from thunderbird import enigmail_agentPath
from common import *
from os import environ

__all__ = ('gpg_executable', 'per_user_directory')


def gpg_executable(thunderbird_base):
    enigmail_gpg = enigmail_agentPath(thunderbird_base)
    gpg2 = enigmail_gpg if enigmail_gpg else which('gpg2')
    gpg = gpg2 if gpg2 else which('gpg')
    if not gpg:
        raise GnuPGNotFound()
    else:
        return gpg


per_user_directory = environ['HOME'] + '/.pEp'
